*,
*::before,
*::after {
    box-sizing: border-box;
}
body {
    margin: 0;
    background-color: #fff;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;
    line-height: 21px;
    font-size: 1rem;
    color: #333;
}
h1, h2, h3, h4 {
    color: #495057;
    margin: 0 0 1rem;
}
p {
    margin: 0 0 1rem;
}
p:last-child {
    margin: 0;
}
.cf-h-100 {
    height: 100%;
}
.cfontsize-24 {
    font-size: 24px;
}
.cfontsize-20 {
    font-size: 20px;
}
.cfontsize-15 {
    font-size: 15px;
}
.cf-red {
    color: #ED1C24 !important;
}
.cf-gray {
    color: #6C757D !important;
}
.icons {
    display: inline-flex;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 4px;
    background-color: #F8F9FA;
    background-repeat: no-repeat;
    background-position: 50% 50%;
}
.icon-back {
    background-image: url('../images/chevron-left.svg');
    background-size: 7px auto;
}
.icon-warning {
    background-image: url('../images/fluent-warning.svg');
    background-size: 24px auto;
    background-color: transparent;
    min-width: 24px;
    min-height: 24px;
}
.cf-btn-back {
    color: #495057;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    border: none;
    background: none;
    padding: 0;
    cursor: pointer;
}
.cf-btn-back .icons {
    margin-right: 10px;
}
.cf-ml-1 {
    margin-left: 10px;
}
.cf-unorderlist {
    list-style: none;
    padding-left: 0;
    margin: 0 0 1rem;
}
.cf-unorderlist li {
    padding: .5rem 0;
}
.cf-unorderlist li img {
    margin: 0 5px;
    vertical-align: middle;
}
.cf-d-flex {
    display: flex;
    align-items: center;
}
.cf-bg-highlight {
    color: #0C2552;
    display: flex;
    padding: 16px 7px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    align-self: stretch;
    border-radius: 4px;
    background: #E7F7F9;
    font-weight: 500;
}
.cf-bg-highlight.expired {
    background: rgba(255, 231, 230, 0.7);
    color: #ff5757;
}
.cf-bg-highlight strong {
    font-size: 20px;
    font-weight: 800;
}
.bg-warning {
    display: flex;
    padding: 10px 20px;
    align-items: center;
    gap: 10px;
    border-radius: 6px;
    background: #FEF3E7;
    margin-bottom: 40px;
    color: #E28210;
    font-size: 18px;
    font-weight: 500;
}
.flex-center {
    display: flex;
    align-items: center;
}
.page {
    display: flex;
    flex-direction: column;
}
.header {
    padding: 0 100px;
    height: 96px;
    background-color: #fff;
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
}
.header h1 {
    margin: 0;
}
.header h1 span {
    color: #010317;
    font-size: 1rem;
    font-weight: 400;
    margin-left: 1rem;
}
.cf-blk {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    flex: 1;
}
.cf-blk-content {
    min-height: 558px;
    width: 836px;
}
.cf-blk-content a {
    text-decoration: none;
}
.cf-row {
    display: flex;
    gap: 30px;
}
@media (min-width: 992px) {
    .cf-none-des {
        display: none !important;
    }
}
@media (min-width: 1200px) {
    .cf-col-6 {
        max-width: 50%;
        width: 50%;
    }
}

.cf-content {
    display: flex;
    padding: 24px;
    flex-direction: column;
    gap: 40px;
    border-radius: 20px;
    border: 1px solid #E0E0E0;
}
.cf-bg-light {
    display: flex;
    padding: 15px;
    justify-content: center;
    align-items: center;
    gap: 10px;
    border-radius: 30px;
    background: #fff;
}
.cf-visual {
    font-weight: 500;
    position: relative;
    color: #fff;
    padding: 20px;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
    border-radius: 20px;
    background: linear-gradient(77deg, #7CEAE1 -6.12%, #1A53B7 97.31%);    overflow: hidden;
}
.cf-visual * {
    margin: 0;
}
.cf-qr-code {
    position: relative;
    overflow: hidden;
    pointer-events: none;
}
.cf-qr-code:after {
    content: "";
    height: 50px;
    top: -50px;
    left: 0;
    right: 0;
    position: absolute;
    animation-name: scan;
    animation-duration: 2.75s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.00) -10.2%, #62C3D6 115.31%);
}
.cf-qr-code:before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: url("../images/qr-code.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 90%;
}
@keyframes scan {
    0% {
        top: -50px;
    }
    100% {
        top: 100%;
    }
}
.cf-blk-content img {
    max-width: 100%;
}
.cf-right {
    margin-left: auto;
    margin-bottom: 0;
    text-align: right;
}
.cf-right li {
    padding: 2px 0;
}
.footer {
    padding: 0 100px;
    background: #F9F9F9;
    box-shadow: 0px 4px 10px 0px rgba(0, 0, 0, 0.15);
    height: 96px;
}
.footer a {
    color: #2F54EB;
}
.footer a:hover {
    text-decoration: none;
}
.footer p {
    margin: 0;
}
@media (max-width: 991px) {
    .header, .footer {
        padding: 0 20px;
    }
    .header h1 {
        flex-direction: column;
        align-items: start;
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
    .header h1 img {
        max-width: 50%;
    }
    .header h1 span {
        margin-left: 0;
    }
    .footer {
        flex-direction: column;
        align-items: start;
        padding-top: .5rem;
        padding-bottom: .5rem;
    }
    .cf-right {
        margin-left: 0;
        text-align: left;
        margin-top: .5rem;
    }
    .cf-blk-content {
        width: 100%;
    }
    .cf-row {
        flex-direction: column;
    }
    .cf-col-6 {
        width: 100%;
    }
}
@media (max-width: 991.96px) {
    .header {
        height: auto;
    }
    .cf-row {
        gap: 20px;
    }
    .cf-blk-content {
        min-height: auto;
    }
    .cf-none-mob {
        display: none !important;
    }
    .cf-content {
        text-align: center;
        padding: 15px;
    }
    .cf-visual {
        padding: 15px;
        gap: 20px;
    }
}

/* loading */
.lds-roller {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}
.lds-roller div {
    animation: lds-roller 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    transform-origin: 40px 40px;
}
.lds-roller div:after {
    content: " ";
    display: block;
    position: absolute;
    width: 7px;
    height: 7px;
    border-radius: 50%;
    background: #1c85ff;
    margin: -4px 0 0 -4px;
}
.lds-roller div:nth-child(1) {
    animation-delay: -0.036s;
}
.lds-roller div:nth-child(1):after {
    top: 63px;
    left: 63px;
}
.lds-roller div:nth-child(2) {
    animation-delay: -0.072s;
}
.lds-roller div:nth-child(2):after {
    top: 68px;
    left: 56px;
}
.lds-roller div:nth-child(3) {
    animation-delay: -0.108s;
}
.lds-roller div:nth-child(3):after {
    top: 71px;
    left: 48px;
}
.lds-roller div:nth-child(4) {
    animation-delay: -0.144s;
}
.lds-roller div:nth-child(4):after {
    top: 72px;
    left: 40px;
}
.lds-roller div:nth-child(5) {
    animation-delay: -0.18s;
}
.lds-roller div:nth-child(5):after {
    top: 71px;
    left: 32px;
}
.lds-roller div:nth-child(6) {
    animation-delay: -0.216s;
}
.lds-roller div:nth-child(6):after {
    top: 68px;
    left: 24px;
}
.lds-roller div:nth-child(7) {
    animation-delay: -0.252s;
}
.lds-roller div:nth-child(7):after {
    top: 63px;
    left: 17px;
}
.lds-roller div:nth-child(8) {
    animation-delay: -0.288s;
}
.lds-roller div:nth-child(8):after {
    top: 56px;
    left: 12px;
}
@keyframes lds-roller {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}